> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.orinlabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tools



## OpenAPI

````yaml GET /api/toolbox/tools/
openapi: 3.0.3
info:
  title: Bedrock API
  version: 1.0.0
  description: API for managing agent templates, agents, organizations, and adapter state
servers: []
security: []
paths:
  /api/toolbox/tools/:
    get:
      tags:
        - toolbox
      operationId: toolbox_tools_list
      parameters:
        - in: query
          name: adapter
          schema:
            type: string
            format: uuid
          description: Filter tools by adapter ID
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Tool'
          description: ''
      security:
        - tokenAuth: []
        - APIKeyAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    Tool:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        adapter:
          type: string
          format: uuid
        name:
          type: string
          maxLength: 255
        description:
          type: string
        parameters:
          nullable: true
        url:
          type: string
          format: uri
          maxLength: 200
        handler:
          type: string
          maxLength: 255
        detail_url:
          type: string
          format: uri
          maxLength: 200
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - adapter
        - created_at
        - description
        - id
        - name
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````